OpenJPEG 2.5.4

Data Fields
boxheader_param Struct Reference

box header parameters More...

`#include <boxheader_manager.h>`

## Data Fields
Byte_t | headlen
| header length 8 or 16
Byte8_t | length
| length of the reference Box
char | type [4]
| type of information in the DBox
struct boxheader_param * | next
| pointer to the next header box

## Detailed Description

box header parameters

## Field Documentation

## ◆ headlen

Byte_t boxheader_param::headlen

header length 8 or 16

Referenced by check_JP2boxidx(), gene_boxheader(), and gene_manfbox().

## ◆ length

Byte8_t boxheader_param::length

length of the reference Box

Referenced by check_JP2boxidx(), gene_boxheader(), and print_boxheader().

## ◆ next

struct boxheader_param* boxheader_param::next

pointer to the next header box

Referenced by delete_manfbox(), gene_boxheader(), gene_manfbox(), print_manfbox(), search_boxheader(), set_ppixdata(), and set_thixdata().

## ◆ type

char boxheader_param::type[4]

type of information in the DBox

Referenced by check_JP2boxidx(), gene_boxheader(), print_boxheader(), and search_boxheader().

The documentation for this struct was generated from the following file:

- boxheader_manager.h